/*
** Module   : Result.java
** Abstract : holds the main execution results.
**
** Copyright (c) 2014, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**         Golden Code Development Corporation
**                 CONFIDENTIAL
**
** -#- -I- --Date-- ----------------------Description--------------------------
** 001 MAG 20140128 Created initial version.
*/

package com.goldencode.p2j.main;

import java.io.Serializable;

/**
 * A structure to hold the result of main execution.
 * For remote web clients holds also the temporary account credentials
 * that should be used in case of a re-logon.  
 */
public class Result
implements Serializable
{
   /** Serialization  UID */
   private static final long serialVersionUID = 1979721899187645881L;

   /** Result value */
   public boolean result = false;
   
   /** Account subject */
   public String subject;
   
   /** Account password */
   public String password;
   
   /**
    * Constructor.
    *  
    * @param   result
    *          main result.
    */
   public Result(boolean result)
   {
      this.result = result;
   }
}
